OfferAccountingType
Returns a list of all OfferAccountingType
GET/api/invoice/offeraccountingtypes
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all OfferAccountingTypearray<OfferAccountingType>
Show fields (7)
idintegerPrimary key of the offer accounting type. Internal ID.
namestringrequiredName of the accounting type.
cancelled_namestringName used when an offer of this type is canceled.
typestringrequiredType of the accounting type, for example offer or contract.
conditionsstringConditions printed on the offer.
number_descriptionstringDescription of the number format of the offer.
deletedbooleanThe accounting type is deleted.
curl --request GET \
--url https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/offer_accounting_type_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OfferAccountingTypeController.getAll();
if (result.success) {
print(result.data);
}[
{
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string",
"deleted": true
}
]Add a new OfferAccountingType
POST/api/invoice/offeraccountingtypes
Request body application/json
dataOfferAccountingTypeShow fields (7)
idintegerPrimary key of the offer accounting type. Internal ID.
namestringrequiredName of the accounting type.
cancelled_namestringName used when an offer of this type is canceled.
typestringrequiredType of the accounting type, for example offer or contract.
conditionsstringConditions printed on the offer.
number_descriptionstringDescription of the number format of the offer.
deletedbooleanThe accounting type is deleted.
Responses
200Add a new OfferAccountingTypeOfferAccountingType
Show fields (7)
idintegerPrimary key of the offer accounting type. Internal ID.
namestringrequiredName of the accounting type.
cancelled_namestringName used when an offer of this type is canceled.
typestringrequiredType of the accounting type, for example offer or contract.
conditionsstringConditions printed on the offer.
number_descriptionstringDescription of the number format of the offer.
deletedbooleanThe accounting type is deleted.
curl --request POST \
--url https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
type: 'string',
id: 42,
cancelled_name: 'Beispiel',
number_description: 'Text',
conditions: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes"
payload = { "data": {
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes', [
'body' => '{"data":{"name":"Beispiel","type":"string","id":42,"cancelled_name":"Beispiel","number_description":"Text","conditions":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"type\":\"string\",\"id\":42,\"cancelled_name\":\"Beispiel\",\"number_description\":\"Text\",\"conditions\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"type\":\"string\",\"id\":42,\"cancelled_name\":\"Beispiel\",\"number_description\":\"Text\",\"conditions\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"type\":\"string\",\"id\":42,\"cancelled_name\":\"Beispiel\",\"number_description\":\"Text\",\"conditions\":\"string\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/offer_accounting_type_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/offer_accounting_type.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OfferAccountingTypeController.post(OfferAccountingType.fromJson({
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string"
}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string",
"deleted": true
}Get a single OfferAccountingType
GET/api/invoice/offeraccountingtypes/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Get a single OfferAccountingTypeOfferAccountingType
Show fields (7)
idintegerPrimary key of the offer accounting type. Internal ID.
namestringrequiredName of the accounting type.
cancelled_namestringName used when an offer of this type is canceled.
typestringrequiredType of the accounting type, for example offer or contract.
conditionsstringConditions printed on the offer.
number_descriptionstringDescription of the number format of the offer.
deletedbooleanThe accounting type is deleted.
curl --request GET \
--url https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/offer_accounting_type_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OfferAccountingTypeController.get('42');
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string",
"deleted": true
}Update an OfferAccountingType
PUT/api/invoice/offeraccountingtypes/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataOfferAccountingTypeShow fields (7)
idintegerPrimary key of the offer accounting type. Internal ID.
namestringrequiredName of the accounting type.
cancelled_namestringName used when an offer of this type is canceled.
typestringrequiredType of the accounting type, for example offer or contract.
conditionsstringConditions printed on the offer.
number_descriptionstringDescription of the number format of the offer.
deletedbooleanThe accounting type is deleted.
Responses
200Update an OfferAccountingTypeOfferAccountingType
Show fields (7)
idintegerPrimary key of the offer accounting type. Internal ID.
namestringrequiredName of the accounting type.
cancelled_namestringName used when an offer of this type is canceled.
typestringrequiredType of the accounting type, for example offer or contract.
conditionsstringConditions printed on the offer.
number_descriptionstringDescription of the number format of the offer.
deletedbooleanThe accounting type is deleted.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
type: 'string',
id: 42,
cancelled_name: 'Beispiel',
number_description: 'Text',
conditions: 'string'
}
})
};
fetch('https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42"
payload = { "data": {
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42', [
'body' => '{"data":{"name":"Beispiel","type":"string","id":42,"cancelled_name":"Beispiel","number_description":"Text","conditions":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"type\":\"string\",\"id\":42,\"cancelled_name\":\"Beispiel\",\"number_description\":\"Text\",\"conditions\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"type\":\"string\",\"id\":42,\"cancelled_name\":\"Beispiel\",\"number_description\":\"Text\",\"conditions\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/invoice/offeraccountingtypes/42"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"type\":\"string\",\"id\":42,\"cancelled_name\":\"Beispiel\",\"number_description\":\"Text\",\"conditions\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/offer_accounting_type_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/offer_accounting_type.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await OfferAccountingTypeController.put(OfferAccountingType.fromJson({
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string"
}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"type": "string",
"id": 42,
"cancelled_name": "Beispiel",
"number_description": "Text",
"conditions": "string",
"deleted": true
}